summaryrefslogtreecommitdiff
path: root/catgets
diff options
context:
space:
mode:
authorDmitry V. Levin <ldv@altlinux.org>2012-09-24 20:52:13 +0000
committerDmitry V. Levin <ldv@altlinux.org>2012-09-25 02:48:31 +0000
commit57c69bef13298a3fbcedebf4c5fcecc690b75efb (patch)
tree9cc9d909afcb9e8b6c23697bdb48901e80d7addb /catgets
parent9a9028b1fe1519262fcbf0b7ede708d4ebbffbd7 (diff)
Set "fail on error" mode directly in testsuite shell scripts
Diffstat (limited to 'catgets')
-rw-r--r--catgets/Makefile4
-rwxr-xr-xcatgets/test-gencat.sh5
2 files changed, 5 insertions, 4 deletions
diff --git a/catgets/Makefile b/catgets/Makefile
index c11edd33c2..ec8fe1e0bc 100644
--- a/catgets/Makefile
+++ b/catgets/Makefile
@@ -1,4 +1,4 @@
-# Copyright (C) 1996-2000, 2002-2004, 2012 Free Software Foundation, Inc.
+# Copyright (C) 1996-2012 Free Software Foundation, Inc.
# This file is part of the GNU C Library.
# The GNU C Library is free software; you can redistribute it and/or
@@ -75,7 +75,7 @@ $(objpfx)de.msg: xopen-msg.awk $(..)po/de.po
$(objpfx)test-gencat.out: test-gencat.sh $(objpfx)test-gencat \
$(objpfx)sample.SJIS.cat
- $(SHELL) -e $< $(common-objpfx) '$(built-program-cmd)'
+ $(SHELL) $< $(common-objpfx) '$(built-program-cmd)'
$(objpfx)sample.SJIS.cat: sample.SJIS $(objpfx)gencat
GCONV_PATH=$(common-objpfx)iconvdata LC_ALL=C \
diff --git a/catgets/test-gencat.sh b/catgets/test-gencat.sh
index 50594bc351..c884b8f200 100755
--- a/catgets/test-gencat.sh
+++ b/catgets/test-gencat.sh
@@ -1,8 +1,7 @@
#! /bin/sh
# Test escape character handling in gencat.
-# Copyright (C) 2000, 2001, 2002 Free Software Foundation, Inc.
+# Copyright (C) 2000-2012 Free Software Foundation, Inc.
# This file is part of the GNU C Library.
-#
# The GNU C Library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
@@ -18,6 +17,8 @@
# License along with the GNU C Library; if not, see
# <http://www.gnu.org/licenses/>.
+set -e
+
common_objpfx=$1
run_program_prefix=$2